// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) TempPosts() TempPosts { return TempPosts(t) }

type TempPosts struct{ alias string }

func (t TempPosts) TableAlias() string { return t.alias }
func (t TempPosts) name() string       { return "TempPosts" }
func (t TempPosts) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t TempPosts) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.ID(),
		c.Kind(),
		c.Title(),
		c.UserID(),
		c.Content(),
		c.OwnerID(),
		c.ShortID(),
		c.SoundID(),
		c.CircleID(),
		c.Duration(),
		c.CreatedAt(),
		c.DeletedAt(),
		c.Migration(),
		c.OwnerKind(),
		c.TextColor(),
		c.ContentUrl(),
		c.AppMentions(),
		c.MoreContent(),
		c.AttachmentID(),
		c.LanguageCode(),
		c.ThumbnailUrl(),
		c.UserMentions(),
		c.CircleMentions(),
		c.ContactMentions(),
		c.MigrationStatus(),
	}
}

func (t TempPosts) Columns() TempPostsCols { return TempPostsCols{tableAlias: t.alias} }

type TempPostsCols struct{ tableAlias string }

func (c TempPostsCols) ID() string              { return colName(c.tableAlias, "ID") }              // STRING(36)
func (c TempPostsCols) Kind() string            { return colName(c.tableAlias, "Kind") }            // INT64
func (c TempPostsCols) Title() string           { return colName(c.tableAlias, "Title") }           // STRING(256)
func (c TempPostsCols) UserID() string          { return colName(c.tableAlias, "UserID") }          // STRING(36)
func (c TempPostsCols) Content() string         { return colName(c.tableAlias, "Content") }         // STRING(10000) NULL
func (c TempPostsCols) OwnerID() string         { return colName(c.tableAlias, "OwnerID") }         // STRING(36) NULL
func (c TempPostsCols) ShortID() string         { return colName(c.tableAlias, "ShortID") }         // STRING(32) NULL
func (c TempPostsCols) SoundID() string         { return colName(c.tableAlias, "SoundID") }         // STRING(36) NULL
func (c TempPostsCols) CircleID() string        { return colName(c.tableAlias, "CircleID") }        // STRING(36)
func (c TempPostsCols) Duration() string        { return colName(c.tableAlias, "Duration") }        // INT64 NULL
func (c TempPostsCols) CreatedAt() string       { return colName(c.tableAlias, "CreatedAt") }       // TIMESTAMP OPTIONS (allow_commit_timestamp = true)
func (c TempPostsCols) DeletedAt() string       { return colName(c.tableAlias, "DeletedAt") }       // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempPostsCols) Migration() string       { return colName(c.tableAlias, "Migration") }       // INT64 NULL DEFAULT (0)
func (c TempPostsCols) OwnerKind() string       { return colName(c.tableAlias, "OwnerKind") }       // INT64 DEFAULT (0)
func (c TempPostsCols) TextColor() string       { return colName(c.tableAlias, "TextColor") }       // INT64 NULL
func (c TempPostsCols) ContentUrl() string      { return colName(c.tableAlias, "ContentUrl") }      // STRING(1024) NULL
func (c TempPostsCols) AppMentions() string     { return colName(c.tableAlias, "AppMentions") }     // ARRAY<STRING(36)> NULL
func (c TempPostsCols) MoreContent() string     { return colName(c.tableAlias, "MoreContent") }     // STRING(10000) NULL
func (c TempPostsCols) AttachmentID() string    { return colName(c.tableAlias, "AttachmentID") }    // STRING(36) NULL
func (c TempPostsCols) LanguageCode() string    { return colName(c.tableAlias, "LanguageCode") }    // STRING(2)
func (c TempPostsCols) ThumbnailUrl() string    { return colName(c.tableAlias, "ThumbnailUrl") }    // STRING(1024) NULL
func (c TempPostsCols) UserMentions() string    { return colName(c.tableAlias, "UserMentions") }    // ARRAY<STRING(36)> NULL
func (c TempPostsCols) CircleMentions() string  { return colName(c.tableAlias, "CircleMentions") }  // ARRAY<STRING(36)> NULL
func (c TempPostsCols) ContactMentions() string { return colName(c.tableAlias, "ContactMentions") } // ARRAY<STRING(36)> NULL
func (c TempPostsCols) MigrationStatus() string { return colName(c.tableAlias, "MigrationStatus") } // INT64 NULL DEFAULT (0)
